/*
	Copyright  1995-2001, The AROS Development Team. All rights reserved.
	$Id: freebrokerlist.c,v 1.2 2006/08/30 20:51:56 piru Exp $
 
	Desc:
	Lang: English
*/

/*****************************************************************************
 
	NAME */

#include "cxintern.h"
#include "proto/exec.h"

AROS_LH1(VOID, FreeBrokerList,

		 /*  SYNOPSIS */

		 AROS_LHA(struct List *, brokerList, A0),

		 /*  LOCATION */

		 struct Library *, CxBase, 32, Commodities)

/*  FUNCTION
 
	Free the list of brokers obtained by calling GetBrokerList.
 
	INPUTS
 
	brokerList  --  List of commodity brokers (a list of struct BrokerCopy
					nodes).
 
	RESULT
 
	NOTES
 
	EXAMPLE
 
	BUGS
 
	SEE ALSO
 
	cxintern.h
 
	INTERNALS
 
	Private function.
 
	HISTORY
 
******************************************************************************/

{
	AROS_LIBFUNC_INIT

	struct BrokerCopy *brokerCopy, *brokerCopySucc;

	ForeachNodeSafe(brokerList, brokerCopy, brokerCopySucc)
	{
		FreeMem(brokerCopy, sizeof(struct BrokerCopy));
	}
	NEWLIST(brokerList);

	AROS_LIBFUNC_EXIT
} /* FreeBrokerList */
